package com.muyu.product.domain.resp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.muyu.common.core.annotation.Excel;
import com.muyu.product.domain.AttributeInfo;
import com.muyu.product.domain.model.RuleAttrAddModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class RuleInfoUpdResp {
    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(name = "主键", value = "主键")
    private Long id;

    /** 规格名称 */
    @Excel(name = "规格名称")
    @ApiModelProperty(name = "规格名称", value = "规格名称")
    private String name;

    /** 规格状态 */
    @Excel(name = "规格状态")
    @ApiModelProperty(name = "规格状态", value = "规格状态")
    private String status;

    @Excel(name = "规格描述")
    @ApiModelProperty(name = "规格描述", value = "规格描述")
    private String remark;



    private List<RuleAttrAddModel> ruleAttrList;
}
